package com.jxdinfo.hussar.core.bouncycastle.jce.spec;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECCurve;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECPoint;
import java.math.BigInteger;
import java.security.spec.ECParameterSpec;
import java.security.spec.ECPoint;
import java.security.spec.EllipticCurve;

public class ECNamedCurveSpec extends ECParameterSpec {
  private String for;
  
  public ECNamedCurveSpec(String str, EllipticCurve ellipticCurve, ECPoint eCPoint, BigInteger bigInteger) {
    super(ellipticCurve, eCPoint, bigInteger, 1);
    this.for = str;
  }
  
  public ECNamedCurveSpec(String str, EllipticCurve ellipticCurve, ECPoint eCPoint, BigInteger bigInteger1, BigInteger bigInteger2) {
    super(ellipticCurve, eCPoint, bigInteger1, bigInteger2.intValue());
    this.for = str;
  }
  
  public String getName() {
    return this.for;
  }
  
  public ECNamedCurveSpec(String str, ECCurve eCCurve, ECPoint eCPoint, BigInteger bigInteger1, BigInteger bigInteger2, byte[] arrayOfByte) {
    super(protected(eCCurve, arrayOfByte), super(eCPoint), bigInteger1, bigInteger2.intValue());
    this.for = str;
  }
  
  public ECNamedCurveSpec(String str, ECCurve eCCurve, ECPoint eCPoint, BigInteger bigInteger) {
    super(protected(eCCurve, null), super(eCPoint), bigInteger, 1);
    this.for = str;
  }
  
  public ECNamedCurveSpec(String str, ECCurve eCCurve, ECPoint eCPoint, BigInteger bigInteger1, BigInteger bigInteger2) {
    super(protected(eCCurve, null), super(eCPoint), bigInteger1, bigInteger2.intValue());
    this.for = str;
  }
}
